Subject: bug#17173: 24.4.50; Emacs partially loses display, and redisplay via `C-l' does not fix it

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Dec 2015 20:20:12 +0200

> Date: Sat, 26 Dec 2015 09:29:16 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Maybe, when such wholesale optimizations are made in the future,
> some debug code can be added, so that symptoms such as I reported
> can more easily be traced to particular source changes?  Is that
> feasible?

We have the debug code.  I myself use it all the time, and several
times asked people who reported bugs to enable it and show the output.
But it produces a lot of output, so it is only feasible to turn it on
when running a reproducible recipe.  Which we don't have in this case.

> My impression is that this is not the only bug report about
> failures to redisplay properly in Emacs 25.  Seems like we have,
> on the one hand, lots of redisplay optimizations implemented
> together, or within a short timespan, and a fair number of
> redisplay problems reported, and no specific, operational
> connections made between the two.

There were indeed several reports about redisplay problems, related to
those changes.  They were all fixed, AFAICT, because each one
eventually succeeded to find a recipe for reproducing the problem.